# Gimp.ColorProfile.prototype.new_linear_from_color_profile

    function new_linear_from_color_profile(): Gimp.ColorProfile {
        // Gjs wrapper for gimp_color_profile_new_linear_from_color_profile()
    }

This function creates a new RGB Gimp.ColorProfile with a linear TRC and profile's RGB chromacities and whitepoint.

Since 2.10

Returns

  the new Gimp.ColorProfile, or null if profile is not an RGB profile or not matrix-based.